local addonName, addonData = ...

local Translate = addonData.Translate

--[[ Make sure we have nUI tables ]]--
nUI_InfoPanels = nUI_InfoPanels or {}

--[[ Set Up nUI InfoPanel Values ]]--
-- Change for each plugin, the name has to be unique and exists as a global object _G[...], the number less so
nUI_INFOMODE_CHAT  = 22
nUI_INFOPANEL_CHAT = "nUI_InfoPanel_Chat"

--[[ Set Up the Info Panel Table ]]--
-- This is indexed on the name hence it needing to be unique
-- The number simply places it in the order based on that number
-- so all 22 modes will be placed together if all active
nUI_InfoPanels[ nUI_INFOPANEL_CHAT ] =
{	
	enabled   = true,
	desc      = Translate["INFO_PANEL_TEXT"],  -- player friendly name/description of the panel ( displayed on mouseover )
	label     = Translate["INFO_PANEL_LABEL"], -- label to use on the panel selection button face ( shorten as needed )
	rotation  = nUI_INFOMODE_CHAT ,    		   -- index or position this panel appears on/in when clicking the selector button
	full_size = true, 						   -- this plugin requires the entire info panel port without the button bag
	
	options  =
	{
		enabled  = true,
		btn_size = 45,
		btn_gap  = -8,
	},
}

-- Plugin name
addonData.PluginName = nUI_INFOPANEL_CHAT

