local addonName, addonData = ...

--[[ vvv Plugin Specific Saved Variable functionality vvvv ]]

-- Initialise the Saved Variables with empty tables
nUI_InfoPanel_Chat_SVA = {}
nUI_InfoPanel_Chat_SVC = {}

--[[ Retrieve the relevant Saved Variable Table in the accountwide/characterwide table for the active character ]]
function addonData:GetCharacterData(dataType, keyType)
    
    -- Locate the Account Wide Table
    local name, realm = self:GetPlayerKey()
    nUI_InfoPanel_Chat_SVA = nUI_InfoPanel_Chat_SVA or {}
    nUI_InfoPanel_Chat_SVA[realm] = nUI_InfoPanel_Chat_SVA[realm] or {}    
    nUI_InfoPanel_Chat_SVA[realm][name] = nUI_InfoPanel_Chat_SVA[realm][name] or {}

    -- Locate the Character Wide Table
    nUI_InfoPanel_Chat_SVC = nUI_InfoPanel_Chat_SVC or {}
    
    -- Account/Character > AccountWide data for specific character (allows sharing)
    if dataType == addonData.SVType.Account and keyType == addonData.SVKey.Character then
        return nUI_InfoPanel_Chat_SVA[realm][name]        
        
    -- Account/None > Accountwide data for all characters (shared data)
    elseif dataType == addonData.SVType.Account and keyType == addonData.SVKey.None then
        return nUI_InfoPanel_Chat_SVA
        
    -- Character/None or Character/Character > Character data for specific character only
    else
        return nUI_InfoPanel_Chat_SVC
        
    end
end

--[[ Retrieve the Character's Data and if specified up to two table levels down ]]
--[[ EG. SVPath(Character, None, "Fonts", "FontSize") - Return FontSize ]]
--[[ EG. SVpath(Character, None) - Return the full table of data ]]
function addonData:SVPath(svType, svKey, base, sub)
    local svData = self:GetCharacterData(svType, svKey) or {}
    if base then
        svData[base] = svData[base] or {}
        if sub then
            svData[base][sub] = svData[base][sub] or {}
            return svData[base][sub]
        else
            return svData[base]
        end
    else
        return svData
    end
end

function addonData:SVData(svItem, svMode, svPath)
    return self:SVAction(svItem, svMode, svPath)
end
