local addonName, addonData = ...

-- functionality to execute once the addon is loaded
function addonData:OnAddonLoaded(plugin)  
    
    self.loaded = true
    
    if not IsAddOnLoaded("nUI") then
        LoadAddOn("nUI")
    end    
    
    self.nUILoaded = IsAddOnLoaded("nUI")
    
    self:RegisterEvents(plugin)
    
    plugin.active = self.loaded and self.nUILoaded         
end


-- Additional Initialisation of the plugin goes here
-- return enabled status set in plugin initialisation
function addonData:OnInfoPanelInit(plugin, enabled) 
    enabled = self:InitPlugin(plugin, enabled)
    return enabled
end

-- Additional Resizing of the plugin goes here
-- return scale value
function addonData:OnInfoPanelResize(plugin, scale, height, width)
    self:ResizePlugin(plugin, scale, height,width)
    return scale
end

-- Additional Enabling of the plugin goes here
-- return enabled value
function addonData:OnInfoPanelEnable(enabled, plugin)
    if plugin.enabled ~= enabled then
        if enabled then     
            -- The plugin can choose not to enable the plugin based on its own rules, so return the new enabled value
            enabled = self:EnablePlugin(plugin,enabled)
        else
            self:DisablePlugin(plugin,enabled)
        end
    end
    return enabled
end

-- Additional Selecting of the plugin goes here
-- return selected value
function addonData:OnInfoPanelSelect(selected, plugin)
    if plugin.selected ~= selected then
        if selected then
            self:SelectPlugin(plugin,selected)
        else
            self:DeSelectPlugin(plugin,selected)
        end
    end
    return selected
end

